This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 9 replies, has 2 voices.

Last updated by Carlos Rojas 2 months, 2 weeks ago.

Assigned support staff: Carlos Rojas.

Author Posts
July 25, 2019 at 2:38 pm #4284273

peterH-76

I KNOW I just bought the "blog" license, but shouldnt WPML be active, up and working without the add. plugins I may not use? The messages (see shots attached) displayed in my dashboard tell me otherwise. Can you please help me work this out?

Is there any documentation that you are following?

Is there a similar example that we can see?

What is the link to your site?

July 25, 2019 at 3:04 pm #4284461

Carlos Rojas
Supporter

Languages: English (English ) Spanish (Español )

Timezone: America/Montevideo (GMT-03:00)

Hello,
Thank you for contacting WPML support.

1.- When you install Woocommerce Multilingual (WCML) plugin, if you haven't install and activate String Translation and Translation Management plugins this error will appear because WCML plugin needs this two plugins to work.

2.- Please increase the PHP Memory Limit. Minimum requirements are 128Mb: https://wpml.org/home/minimum-requirements/
You can add this to wp-config.php to increase WP memory:

/** Memory Limit */
define('WP_MEMORY_LIMIT', '128M');
define( 'WP_MAX_MEMORY_LIMIT', '128M' );

- Add it above the line /* That's all, stop editing! Happy blogging. */

Kind regards,
Carlos

July 25, 2019 at 3:28 pm #4284651

peterH-76

Dear Carlos,
the options to install the two plugins is not highlighted and I therefore cannot install them. As I understand that is a limitation to my "blog"-license? How can I solve this?

2. my system status tells me the memory limit is set to 256MB. Why do you recommend setting it effectively down to 128MB?

July 26, 2019 at 10:15 am #4288977

Carlos Rojas
Supporter

Languages: English (English ) Spanish (Español )

Timezone: America/Montevideo (GMT-03:00)

Hi there,

1.- Yes, it is a limitation of the Blog account. To solve this you will have to get the "Multilingual CMS" account.

2.- I recommended to increment the memory limit based on the debug information of your site.

Regards,
Carlos

July 29, 2019 at 8:42 am #4297823

peterH-76

Dear Carlos,
What "Multilingual CMS"-account did you specifically mean? As you see, I can go to a configuration page but see no option to get rid of the said errors. Please specify the process.

Thank you

July 29, 2019 at 11:42 am #4299333

Carlos Rojas
Supporter

Languages: English (English ) Spanish (Español )

Timezone: America/Montevideo (GMT-03:00)

Hi,

Please visit this link where you will find the different types of accounts and the Multilingual CMS account within them: https://wpml.org/purchase/

Regards,
Carlos

July 29, 2019 at 12:19 pm #4299537

peterH-76

Dear Carlos,
the two avail. plugins are already installed.
I still get the error msg for the missing " Translation Management" and
"WPML String Translation", both of which I still can not find, download or activate.
How do I solve this?

July 29, 2019 at 12:21 pm #4299567

Carlos Rojas
Supporter

Languages: English (English ) Spanish (Español )

Timezone: America/Montevideo (GMT-03:00)

Hi,

You need to change (buy or migrate) the Multilingual CMS account and then you will have access to the needed plugins.

Regards,
Carlos

July 29, 2019 at 12:56 pm #4299911

peterH-76

OK, can I upgrade from the "blog" version I just bought?

July 29, 2019 at 3:15 pm #4301357

Carlos Rojas
Supporter

Languages: English (English ) Spanish (Español )

Timezone: America/Montevideo (GMT-03:00)

Hi,

To upgrade from your Blog account to Multilingual CMS account you need to follow this steps:
- Log in WPML site with your current Blog account.
- Go to the purchase page and select the account you want to upgrade to. (in this case the Multilingual CMS)
- You will be redirected to the checkout page for the upgrade

This means that once the payment is successfully completed you will have upgraded your current Blog account to a CMS for the remain of the current account time. At the expiration date we will attempt to renew for one more year the now Multilingual CMS account if automatic payments was allowed.

Best regards,
Carlos